Subject: Re: Linux 3.0 boot failure on the Powerbook G4

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 24 Jul 2011 22:13:34 +1000

On Sun, 2011-07-24 at 14:10 +0200, Michael Büsch wrote:
> On Sun, 24 Jul 2011 22:07:30 +1000
> Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > On Sat, 2011-07-23 at 22:20 +0200, Michael Büsch wrote:
> > > Linux 3.0 fails to boot _very_ early on my Powerbook G4. See the
> > > yaboot/OF screenshot:
> > > http://bues.ch/misc/linux-3.0-pbook.jpg
> > > 
> > > Linux 2.6.39.2 boots fine.
> > > Does somebody have an idea?
> > 
> > Interesting, that's before it even kills OF. Are you booting a zImage or
> > a vmlinux ?
> 
> I'm booting zImage.pmac.

Ah that might make it easier... I don't remember where it links, can you
show me the program headers out of readelf -a of the zImage ?

> > It might be also useful to compile yaboot with debug output enabled to
> > figure out where the kernel is loaded so we can try calculating where
> > exactly it dies if it's a vmlinux...
> 
> Hm, I guess I could probably try that.

Cheers,
Ben.